Package org.apache.lucene.analysis.morph

# Class ConnectionCostsWriter<T extends ConnectionCosts>

java.lang.Object
org.apache.lucene.analysis.morph.ConnectionCostsWriter<T>

public final class ConnectionCostsWriter<T extends ConnectionCosts> extends Object
Writes connection costs

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionCostsWriter(Class<T> implClazz, int forwardSize, int backwardSize)`
  Constructor for building.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int forwardId, int backwardId, int cost)`
  `void`
  `write(Path baseDir, String connectionCostsCodecHeader, int dictCodecVersion)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConnectionCostsWriter

    public ConnectionCostsWriter(Class<T> implClazz, int forwardSize, int backwardSize)
    Constructor for building. TODO: remove write access

- ## Method Details

  - ### add

    public void add(int forwardId, int backwardId, int cost)

  - ### write

    public void write(Path baseDir, String connectionCostsCodecHeader, int dictCodecVersion) throws IOException
    Throws:
      `IOException`